This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 535823 - (RHQ-247) Automatically pass LDAP info to the "New ldap user" page
Automatically pass LDAP info to the "New ldap user" page
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core Server (Show other bugs)
0.1
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: Simeon Pinder
Mike Foley
http://jira.rhq-project.org/browse/RH...
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-07 12:52 EDT by Heiko W. Rupp
Modified: 2013-09-02 03:26 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 03:26:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Screenshot (28.81 KB, image/png)
2011-06-02 07:29 EDT, Sunil Kondkar
no flags Details

  None (edit)
Description Heiko W. Rupp 2008-04-07 12:52:00 EDT
A user may currently have full information in LDAP. Still, when he first hits the RHQ server, he needs to fill all details like name etc. again.

In CustomJaasDeploymentService.validateLdapOptions() we already bind the ldap server temporarily into JNDI.
We could bind it constantly and search it to populate the "new ldap user form".
Comment 1 Red Hat Bugzilla 2009-11-10 16:05:14 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-247
Comment 2 Simeon Pinder 2010-12-06 11:11:03 EST
This was fixed recently in master and available in successful builds on or after 11/1/10.
Commit hash: 34f9d85692a50c7b5c578591562ee6e623f3e16d
Comment 3 Sunil Kondkar 2011-06-02 07:28:54 EDT
Verified in build 107 (Version: 4.1.0-SNAPSHOT Build Number: 9192306)

When logged in as LDAP user, the user info like names, email, phone number etc. is displayed the registration page. Please refer the attached screenshot.

Marking as verified.
Comment 4 Sunil Kondkar 2011-06-02 07:29:34 EDT
Created attachment 502505 [details]
Screenshot
Comment 5 Sunil Kondkar 2011-06-02 07:31:40 EDT
Also verified that when user clicks OK button on the LDAP user registration page the info is displayed in the user details in Administration->Users->Edit user page.
Comment 6 Heiko W. Rupp 2013-09-02 03:26:50 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.

Note You need to log in before you can comment on or make changes to this bug.